%define upstream_name	 Image-Base
%define upstream_version 1.17

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Base class for loading, manipulating and saving images
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/S/SU/SUMMER/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test)
BuildArch:  noarch

%description
This class should not be used directly. Known inheritors are Image::Xbm and
Image::Xpm.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files 
%doc Changes META.yml MYMETA.yml README SIGNATURE
%{perl_vendorlib}/Image
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.170.0-2.mga3
+ Revision: 368709
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 1.170.0-1.mga3
+ Revision: 286194
- update to 1.17

  + jquelin <jquelin>
    - update to 1.16

* Wed Feb 16 2011 jquelin <jquelin> 1.150.0-1.mga1
+ Revision: 52518
- update to 1.15

* Mon Jan 31 2011 dmorgan <dmorgan> 1.140.0-1.mga1
+ Revision: 45268
- New version

* Tue Jan 18 2011 jquelin <jquelin> 1.120.0-1.mga1
+ Revision: 22497
- cleaning spec file
- imported package perl-Image-Base

